summaryrefslogtreecommitdiffstats
path: root/remote/modules
diff options
context:
space:
mode:
authorSimon Rettberg2013-06-06 16:05:53 +0200
committerSimon Rettberg2013-06-06 16:05:53 +0200
commitcb3e011b15093ff43993c6a9880d7b40119f6015 (patch)
treef5a7f3114fe5dc658c6837198fa83a775fa7d685 /remote/modules
parent[rsyslog] fix the required directory path for ubuntu 12.04 x64 and added zypp... (diff)
downloadtm-scripts-cb3e011b15093ff43993c6a9880d7b40119f6015.tar.gz
tm-scripts-cb3e011b15093ff43993c6a9880d7b40119f6015.tar.xz
tm-scripts-cb3e011b15093ff43993c6a9880d7b40119f6015.zip
[vmchooser] put mount-var-lib in proper module, fix its PATH
Diffstat (limited to 'remote/modules')
-rwxr-xr-xremote/modules/vmchooser/data/opt/openslx/bin/mount-lib-virt8
1 files changed, 8 insertions, 0 deletions
diff --git a/remote/modules/vmchooser/data/opt/openslx/bin/mount-lib-virt b/remote/modules/vmchooser/data/opt/openslx/bin/mount-lib-virt
new file mode 100755
index 00000000..27a8f55c
--- /dev/null
+++ b/remote/modules/vmchooser/data/opt/openslx/bin/mount-lib-virt
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+. /opt/openslx/config || exit 1
+
+export PATH="$PATH:/opt/openslx/bin:/opt/openslx/usr/bin:/opt/openslx/sbin:/opt/openslx/usr/sbin"
+
+mkdir -p /var/lib/virt
+mount -t nfs -o ro,async,nolock,vers=3 "$SLX_VM_NFS" /var/lib/virt